add mod_brotli

Bug #1708426 reported by Andrew Murphy on 2017-08-03

This bug report will be marked for expiration in 48 days if no further activity occurs. (find out why)

8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apache2 (Ubuntu)
Undecided
Unassigned

Bug Description

The Apache HTTPD mod_brotli module is missing.
Broti is Google's new version / replacement of gzip (mod deflate)

https://httpd.apache.org/docs/2.4/mod/mod_brotli.html

Thanks, Andrew

Joshua Powers (powersj) wrote :

In the CHANGES file of the Artful source I see:

    *) mod_brotli: Add a new module for dynamic Brotli (RFC 7932)
       compression.
      [Evgeny Kotkov]

That arrived in 2.4.26, so only Artful and newer would have access to
this module. I, however, do not see the .so in /usr/lib/apache2/modules
or any .conf in /etc/apache2/mods-available.

In the configure script, under optional features, list the following:

--enable-brotli Brotli compression support

In the debian/configure script the ./configure command is found under
the "override_dh_auto_configure" rule. It appears that if support
wants to be added it should be appended to the configure command line.
This would require also making sure brotli is installed as well.

This bug is present in Debian as well. Therefore, this bug would be
best fixed directly in Debian, and then Ubuntu will pick up the fix
automatically.

Would you mind filing a bug with Debian please?

tags: added: bitesize needs-upstream-report
Changed in apache2 (Ubuntu):
status: New → Incomplete
Andrew Murphy (aavmurphy) wrote :

Thanks. Have emailed the Debian Apache2 package maintainers.

Andrew Murphy (aavmurphy) wrote :

They're aware of it.
They're waiting on the brotli (C) lib package. Its currently in 'experimental'.
So, its on its way.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers